{ config, lib, pkgs, ... }:

with lib;

let cfg = config.programs.glab;
in {
  options = {
    programs.glab = {
      enable = mkEnableOption "the GitLab CLI tool";
    };
  };

  config = mkIf cfg.enable {
    # TODO: Everything else. }:)
    home.packages = [ pkgs.glab ];
  };
}
